Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class TRANSACTION_REQUIREDHelper

    java.lang.Object
      |
      +--org.omg.CORBA.TRANSACTION_REQUIREDHelper

public class TRANSACTION_REQUIREDHelper
extends java.lang.Object

Helper class for : TRANSACTION_REQUIRED

Author:
  OpenORB Compiler

Constructor Summary
`TRANSACTION_REQUIREDHelper()`

Method Summary
`static TRANSACTION_REQUIRED` | `extract(Any a)` Extract TRANSACTION_REQUIRED from an any
`static java.lang.String` | `id()` Return the TRANSACTION_REQUIRED IDL ID
`static void` | `insert(Any a, TRANSACTION_REQUIRED t)` Insert TRANSACTION_REQUIRED into an any
`static TRANSACTION_REQUIRED` | `read(InputStream istream)` Read TRANSACTION_REQUIRED from a marshalled stream
`static TypeCode` | `type()` Return the TRANSACTION_REQUIRED TypeCode
`static void` | `write(OutputStream ostream, TRANSACTION_REQUIRED value)` Write TRANSACTION_REQUIRED into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TRANSACTION_REQUIREDHelper

    public TRANSACTION_REQUIREDHelper()

Method Detail

### insert

    public static void insert(Any a,
                              TRANSACTION_REQUIRED t)

  Insert TRANSACTION_REQUIRED into an any
  Parameters:
    `a` - an any
    `t` - TRANSACTION_REQUIRED value

### extract

    public static TRANSACTION_REQUIRED extract(Any a)

  Extract TRANSACTION_REQUIRED from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted TRANSACTION_REQUIRED value

### type

    public static TypeCode type()

  Return the TRANSACTION_REQUIRED TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the TRANSACTION_REQUIRED IDL ID
  Returns:
    an ID

### read

    public static TRANSACTION_REQUIRED read(InputStream istream)

  Read TRANSACTION_REQUIRED from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed TRANSACTION_REQUIRED value

### write

    public static void write(OutputStream ostream,
                             TRANSACTION_REQUIRED value)

  Write TRANSACTION_REQUIRED into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - TRANSACTION_REQUIRED value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD